sc::SavableStateProxy(3)

NAME
sc::SavableStateProxy -

Create a proxy for a SavableState object.

SYNOPSIS

#include <proxy.h>

Inherits sc::DescribedClassProxy.

  Public Member Functions
Ref< DescribedClass > object ()
Return the object referred to by this proxy.
SavableStateProxy (const Ref< KeyVal > &)
Create the proxy with a Ref to a KeyVal object.

  Additional Inherited Members

Detailed Description

Create a proxy for a SavableState object. This can be used to include an object that has been saved with SavableState in an input file for ParsedKeyVal.

Author

Generated automatically by Doxygen for MPQC from the source code.